<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
  <meta content="text/html; charset=iso-8859-1" http-equiv=
  "Content-Type">
  <link type="text/css" rel="stylesheet" href="style.css" title=
  "Default" >
  <title>Help of Parsing online</title>
</head>

<body>
  <h2>Help of Parsing online</h2>

  <p>Parsing online is a script that allows you to test ALPAGE
  Linguistic Processing Chain for French. You can select a parser,
  select an output format to display the forests produced by the
  parser and send a sentence. After a while, you will hopefully see
  something.</p>

  <p>Please check out our <a
  href="http://alpage.inria.fr/software.en.html">software</a> if you are
  interested in any of our tools. Note that the script <a
  href="http://alpage.inria.fr/alpi.en.html">Alpage Installer</a>
  can help you install our Linguistic Processing Chain.</p>


  <h3>Select a parser</h3>

  <p>FRMG parsers is compiled using
  <a href="http://alpage.inria.fr/software.en.html">system
  DyALog</a>. 
  This parser is designed
  to work with Tree Insertion Grammar
  (TIG). Parsers built by DyALog
  are parametrized by the following parameters:
  </p>

  <ul>
    <li><b>the grammars</b>:

      <ul>

        <li><a
	    href="http://alpage.inria.fr/catalogue.en.html#frmg">frmg</a>: a
	    French meta-grammar	</li>
	<li><a
	    href="http://alpage.inria.fr/catalogue.en.html#biomg">biomg</a>: a
	    French meta-grammar based on frmg, to be used to parse botanical
	    descriptions
	</li>
      </ul>
    </li>
    
    <li><b>the tabular parsing algorithm</b>: the optimal ensures the best
    worst-case complexity but in practice the light or weak parsing
    algorithm is more efficient.</li>

    <li><b>the parsing strategy</b>: we have tried a pure top-down
    prefix-valid strategy and an hybrid one where features are
    checked in a bottom-up way.</li>

    <li><b>the lexer</b>: included with the parser
    or externalized. The
    extern lexer allows us to handle unknown words.</li>

    <li><b>robustness</b>: unless specified as robust, our parsers only
    try to recognize a sentence covering the full input string. The
    robust parsers return every sentence and nominal phrase
    included in the input string.</li>
  </ul>

  <h3>Select forest format</h3>

  <p>Derivation Forest may be displayed in various formats. These
  outputs can be divided in two categories: dependency (<b>dependency</b>,
  <b>EASy format</b>) and derivation (<b>xml</b>, <b>tree</b>,
  <b>grammar</b>). Some formats can be
  displayed in xml or in a graphical/html view (<b>dependency graph</b>,
  <b>easyhtml</b>, <b>grammar</b>, <b>tree</b>). 
  </p>
  <p>
  <b>tagger</b> is an additional feature.
  </p>

  <ul>

    <li><b>raw</b>: raw representation of shared forest as produced by
    the parser</li>

    <li><b>dependency</b>: as dependency link. We establish a link from word X to word
    X2 whenever X2 anchors some tree T2 used on some node of some
    tree T1 anchored by A1. 
    <br/>
    You can choose to view the xml output selecting option
    <b>xmldep</b> or a graph representation selecting
    <b>dependency</b>. 
    [Note that sometimes the graph cannot be
    displayed because of a problem of timeout. This doesn't mean that
    the sentence could not be parsed. In such case you can choose
    another output format. This bug should be fixed as soon as
    possible!]
    <p>
    Graph representation of "Il court":
    </p>

    <img alt="graph example" src="ex.gif"/>
        <ul>
	  <li>
	     Nodes contain a lemma with its POS and XCAT. You can
    click on them to get grammatical information. In this
    example you have the cluster for form "court": the
    lemma is "courir", the grammatical category is "verb" (v) and 117
    corresponds to the the tree id in frmg. The number
    in parentheses (2) is the number of possible local derivations from that
    node.
	  </li>
	  <li>
	     Clusters contain one or several nodes corresponding to
	     one lexeme.
	  </li>
	  <li>
	     Egdes represent dependencies. In parentheses is the
    number of derivations used by this arc.
	  </li>
	  <li>
	     If you leave out punctuation such as the final period,
    the parser will provide two options: period or none. 
    If you include it, it will be just one option as expected.
	  </li>
	  <li>Ambiguity is apparent when multiple arrows enter a
    cluster. To disambiguate the parse, check the box "Disambiguation".
	  </li>
	</ul>


    </li>

    <li><b>easy</b>: easy refers to the xml output used at <a
    href="http://www.limsi.fr/Recherche/CORVAL/easy/">EASy</a>, a French
    parsing competition. You may want to try output option <b>easyhtml</b> to
    get a nice html representation !
    <br/>

    The idea is not to apply a syntactic theory but to have a more
    general parse into syntactic groups, so that the outputs
    from the various parsers in competition can be easily compared and
    evaluated. For that purpose, the ouput only shows the (possibly)
    best analysis. The annotated elements are:

    <ul>
       <li>syntactic groups</li>
       <li>syntactic relations :
         <ul>
	    <li> between words</li>
	    <li> between a syntactic group and a word</li>
	    <li> between syntactic groups</li>
         </ul>
       </li>
     </ul>
    
    <p>
    easyhtml output for "Il court dans la rue":
    </p>


<h2> Constituants </h2>

<table class="constituants" border="1">
<tbody>
  <tr>
    <td colspan="5" bgcolor="#99cccc">
      <font size="+1">Enoncé 1</font>
    </td>
  </tr>
  <tr class="groups">
    <td colspan="2" class="NV" bgcolor="#7cb26d">NV 1</td>
    <td colspan="3" class="GP" bgcolor="#9abdf9">GP 2</td>
  </tr>
  <tr class="words" bgcolor="lightBlue">
    <td>Il</td>
    <td>court</td>
    <td>dans</td>
    <td>la</td>
    <td>rue</td>
  </tr>

  <tr class="Fs" bgcolor="#ffffff">
    <td class="F">1</td>
    <td class="F">2</td>
    <td class="F">3</td>
    <td class="F">4</td>
    <td class="F">5</td>
  </tr>
</tbody>
</table>

<h2> Relations </h2>
<table>
<tbody>
  <tr valign="top">
    <td align="center">
      <h3>1. Sujet - Verbe</h3>
      <table bgcolor="#ffff99" border="1">
        <tbody>
          <tr class="header">
	    <td>sujet</td>
	    <td>verbe</td>
	  </tr>
	  <tr>
	    <td>F1</td>
	    <td>F2</td>
	  </tr>
	</tbody>
      </table>
    </td>
<td align="center">
  <h3>4. Complément - Verbe</h3>
  <table bgcolor="#88dd88" border="1">
    <tbody>
      <tr class="header">
        <td>complément</td>
	<td>verbe</td>
      </tr>
      <tr>
        <td>G2</td>
	<td>G1</td>
      </tr>
    </tbody>
  </table>

</td>


  </tr>
</tbody>
</table>


    <p>Check the
    <a
    href="http://www.limsi.fr/Recherche/CORVAL/easy/PEAS_reference_annotations_v1.6.html">annotation
    guide</a> (in French!) for better understanding.</p>

    </li>

    <li><b>grammar</b>: as a set of grammar rules where non-terminals denote
    instanciated elementary trees covering some span of the input
    string, following ideas of Bernard Lang</li>

    <li><b>tree</b> (graph representation): as a set of shared
    derivation trees (omitting information about features)</li>

    <li><b>xml</b>: xml representation of derivation</li>

    <li><b>tagger</b>: simple table representation to see how lexemes
    were tagged.</li>

    </ul>

   <p>
    Checking the box "Disambiguation" will hopefully select the best
    parse. (You should uncheck the box if you select an <i>easy</i> output.)
    </p>


  <h3>Enter a sentence or select one in the history popup menu</h3>
  <p>
  Write or paste a sentence in this field and click on the "Submit"
  button. The size of the sentence is limited to 400 characters.
  </p>

  <ul>
  <li><b>Save/Restore history</b>: 
      by checking this box, a cookie will be stored
  on your computer and you will be able to keep trace of your
  sentences from one session to another.
  </li>

  <li><b>Load default examples</b>: check this box and click on button
  "Submit" to test some default examples.
  </li>

  <li><b>Load your own file</b>: choose the file by clicking on "Browse"
  and then press Enter key. There must be one sentence per line.
  </li>

  </ul>

  <h3>...</h3>
  <p>This documentation is under construction... Please contact us if
  something is unclear.
  </p>

  <hr/>
  <p><a href="mailto:Eric.Clergerie@inria.fr">Eric de la Clergerie</a>
  <br/>
  <a href="mailto:Isabelle.Cabrera@inria.fr">Isabelle Cabrera</a>
  </p>
</body>
</html>
